Employees

Get employee

GET
/api/public/v3/employees/{id}

Path Parameters

id*integer

Query Parameters

include_historical_values?string

Response Body

application/json

curl -X GET "https://example.com/api/public/v3/employees/0"
{  "data": {    "id": 0,    "status": "string",    "access": true,    "employee_number": "string",    "full_name": "string",    "first_name": "string",    "middle_name": null,    "last_name": "string",    "avatar_url": "string",    "email": "string",    "personal_email": null,    "date_of_birth": "string",    "probation_ends_on": null,    "hired_on": "string",    "gender": null,    "legal_entity": null,    "position": null,    "job_level": null,    "location": null,    "employment_type": null,    "division": null,    "job_profile": null,    "department": {      "id": 0,      "name": "string",      "parent_id": 0,      "manager_id": null,      "department_level": null,      "fields": {},      "created_at": "string",      "updated_at": "string",      "ancestors": [        {          "id": 0,          "name": "string",          "department_level": null        }      ]    },    "reporting_to": {      "id": 0,      "first_name": "string",      "last_name": "string",      "email": "string"    },    "created_at": "string",    "updated_at": "string",    "direct_reports": [      {        "id": 0,        "first_name": "string",        "last_name": "string",        "email": "string"      }    ],    "fields": {      "employee_field_1": {        "label": "string",        "group": {          "id": 0,          "name": "string"        },        "value": null      },      "employee_field_2": {        "label": "string",        "group": {          "id": 0,          "name": "string"        },        "value": null      },      "employee_field_3": {        "label": "string",        "group": {          "id": 0,          "name": "string"        },        "value": null,        "effective_on": "string",        "historical_values": [          {            "effective_on": "string",            "value": "string"          }        ]      },      "employee_field_4": {        "label": "string",        "group": {          "id": 0,          "name": "string"        },        "value": null,        "effective_on": "string",        "historical_values": [          {            "effective_on": "string",            "value": "string"          }        ]      },      "employee_field_5": {        "label": "string",        "group": {          "id": 0,          "name": "string"        },        "value": null,        "effective_on": "string",        "historical_values": [          {            "effective_on": "string",            "value": "string"          }        ]      },      "employee_field_6": {        "label": "string",        "group": {          "id": 0,          "name": "string"        },        "value": null,        "effective_on": "string",        "historical_values": [          {            "effective_on": "string",            "value": "string"          }        ]      },      "employee_field_7": {        "label": "string",        "group": {          "id": 0,          "name": "string"        },        "value": null,        "effective_on": "string",        "historical_values": [          {            "effective_on": "string",            "value": "string"          }        ]      },      "employee_field_8": {        "label": "string",        "group": {          "id": 0,          "name": "string"        },        "value": null,        "effective_on": "string",        "historical_values": [          {            "effective_on": "string",            "value": "string"          }        ]      },      "single_select_field": {        "label": "string",        "group": {          "id": 0,          "name": "string"        },        "value": null,        "option_id": null,        "effective_on": null,        "historical_values": [          {            "effective_on": "string",            "value": "string"          }        ]      },      "employee_field_9": {        "label": "string",        "group": {          "id": 0,          "name": "string"        },        "value": null,        "effective_on": "string",        "historical_values": [          {            "effective_on": "string",            "value": "string"          }        ]      },      "multi_select_field": {        "label": "string",        "group": {          "id": 0,          "name": "string"        },        "value": null,        "option_ids": null,        "effective_on": null,        "historical_values": [          {            "effective_on": "string",            "value": [              "string"            ]          }        ]      },      "employee_field_10": {        "label": "string",        "group": {          "id": 0,          "name": "string"        },        "value": null,        "effective_on": "string",        "historical_values": [          {            "effective_on": "string",            "value": "string"          }        ]      },      "employee_field_11": {        "label": "string",        "group": {          "id": 0,          "name": "string"        },        "value": null,        "user_id": null,        "effective_on": "string",        "historical_values": [          {            "effective_on": "string",            "value": "string"          }        ]      },      "employee_field_12": {        "label": "string",        "group": {          "id": 0,          "name": "string"        },        "value": null,        "user_id": null,        "effective_on": "string",        "historical_values": [          {            "effective_on": "string",            "value": "string"          }        ]      },      "employee_field_13": {        "label": "string",        "group": {          "id": 0,          "name": "string"        },        "value": null      },      "employee_field_14": {        "label": "string",        "group": {          "id": 0,          "name": "string"        },        "value": null,        "effective_on": "string",        "historical_values": [          {            "effective_on": "string",            "value": "string"          }        ]      },      "employee_field_15": {        "label": "string",        "group": {          "id": 0,          "name": "string"        },        "value": null,        "effective_on": "string",        "historical_values": [          {            "effective_on": "string",            "value": "string"          }        ]      },      "employee_field_16": {        "label": "string",        "group": {          "id": 0,          "name": "string"        },        "value": null,        "effective_on": "string",        "historical_values": [          {            "effective_on": "string",            "value": "string"          }        ]      },      "employee_field_17": {        "label": "string",        "group": {          "id": 0,          "name": "string"        },        "value": null,        "user_id": null,        "effective_on": null,        "historical_values": [          {            "effective_on": "string",            "value": "string"          }        ]      }    }  }}